Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(24)

Issue 1331503002: Disable base/logging.h stderr logs by default for webrtc/ tests. (Closed)

Created:
4 years ago by Andrew MacDonald
Modified:
4 years ago
Reviewers:
hlundin-webrtc
CC:
webrtc-reviews_webrtc.org, tterriberry_mozilla.com, Andrew MacDonald, mflodman, henrika_webrtc
Base URL:
https://chromium.googlesource.com/external/webrtc.git@master
Target Ref:
refs/pending/heads/master
Project:
webrtc
Visibility:
Public.

Description

Disable base/logging.h stderr logs by default for webrtc/ tests. base/logging.h dumped to stderr by default in debug mode, but webrtc "trace" (via system_wrappers/../logging.h) has that feature disabled by default. This makes the two consistent. Bonus: log the filename:line in base/logging.h, which exists in the system_wrappers variant. TEST=neteq_impl.cc logs (which use base/logging.h) no longer appear in debug mode, unless --logs=true is passed. Filenames appear correctly. Committed: https://crrev.com/88703d756af45380efbb77212201b3543141281a Cr-Commit-Position: refs/heads/master@{#9868}

Patch Set 1 #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+36 lines, -7 lines) Patch
M webrtc/base/logging.h View 3 chunks +7 lines, -1 line 0 comments Download
M webrtc/base/logging.cc View 6 chunks +24 lines, -4 lines 2 comments Download
M webrtc/system_wrappers/source/logging.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M webrtc/test/test_suite.cc View 2 chunks +2 lines, -0 lines 0 comments Download

Messages

Total messages: 7 (2 generated)
Andrew MacDonald
https://codereview.webrtc.org/1331503002/diff/1/webrtc/base/logging.cc File webrtc/base/logging.cc (right): https://codereview.webrtc.org/1331503002/diff/1/webrtc/base/logging.cc#newcode234 webrtc/base/logging.cc:234: log_to_stderr_ = log_to_stderr; My intuition is to protect this ...
4 years ago (2015-09-05 05:32:18 UTC) #2
hlundin-webrtc
Thanks! LGTM. https://codereview.webrtc.org/1331503002/diff/1/webrtc/base/logging.cc File webrtc/base/logging.cc (right): https://codereview.webrtc.org/1331503002/diff/1/webrtc/base/logging.cc#newcode234 webrtc/base/logging.cc:234: log_to_stderr_ = log_to_stderr; On 2015/09/05 05:32:18, Andrew ...
4 years ago (2015-09-06 10:10:44 UTC) #3
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1331503002/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1331503002/1
4 years ago (2015-09-07 06:31:03 UTC) #5
commit-bot: I haz the power
Committed patchset #1 (id:1)
4 years ago (2015-09-07 07:35:01 UTC) #6
commit-bot: I haz the power
4 years ago (2015-09-07 07:35:14 UTC) #7
Message was sent while issue was closed.
Patchset 1 (id:??) landed as
https://crrev.com/88703d756af45380efbb77212201b3543141281a
Cr-Commit-Position: refs/heads/master@{#9868}

Powered by Google App Engine
This is Rietveld 408576698